# List a customer's cards on file Endpoint: GET /customers/{customerId}/cards_on_file Version: 1.0.0 Security: Biller Access Token (Staging), Biller Access Token (Production) ## Path parameters: - `customerId` (string, required) The id of the customer whose cards on file to list ## Query parameters: - `statuses` (array) Only return cards with one of these statuses; when omitted, cards of every status are returned Enum: "REQUESTED", "ACTIVE", "CANCELLED", "EXPIRED" ## Response 200 fields (application/json): - `cards` (array, required) The customer's cards on file - `cards.id` (string, required) The ID of the card on file - `cards.status` (string, required) The current status of the card on file Enum: "REQUESTED", "ACTIVE", "CANCELLED", "EXPIRED" - `cards.brand` (string) The card brand, e.g. visa or mastercard - `cards.lastFour` (string) The last four digits of the card - `cards.holderName` (string) The name of the cardholder - `cards.expiryMonth` (integer) The month the card expires (1-12) - `cards.expiryYear` (integer) The year the card expires - `cards.isBusinessCard` (boolean, required) Whether the card is a business card - `cards.creationTime` (string, required) When the card was first added